loop_energies.h File Reference
Processing and Evaluating Decomposed Loops

Energy evaluation for MFE and partition function calculations. More...

Include dependency graph for loop_energies.h:

Go to the source code of this file.

## Detailed Description

Energy evaluation for MFE and partition function calculations.

This file contains functions for the calculation of the free energy of a hairpin- [ E_Hairpin() ] or interior-loop [ E_IntLoop()] .
The unit of the free energy returned is

In case of computing the partition function, this file also supplies functions which return the Boltzmann weights for a hairpin- [ exp_E_Hairpin() ] or interior-loop [ exp_E_IntLoop() ].